


#include "AfhFMScripting.h"

#include "PIDefines.h"

#define Rez
#include "PIGeneral.h"
#include "PIUtilities.r"
#include "WinDialogUtils.r"
#include "PIActions.h"



resource 'PiPL' ( 16000, "FilterMeister", purgeable )
{
	{
		Kind { Filter },
		Name { plugInName "..." },
		Category { vendorName },
		Version { (latestFilterVersion << 16 ) | latestFilterSubVersion },

		CodeWin32X86 { "ENTRYPOINT" },
		
		//Convertpipl.exe doesn not support 16bit modes, so we need to set 0xffff in the .rc file ourselves
		SupportedModes
		{
			doesSupportBitmap, doesSupportGrayScale,
			doesSupportIndexedColor, doesSupportRGBColor,
			doesSupportCMYKColor, doesSupportHSLColor,
			doesSupportHSBColor, doesSupportMultichannel,
			doesSupportDuotone, doesSupportLABColor
		}, 
		

		HasTerminology
		{
			plugInClassID,
			plugInEventID,
			16000,
			plugInUniqueID
		},
		
		
		//EnableInfo { "in (PSHOP_ImageMode, RGBMode, GrayScaleMode,"
		//             "CMYKMode, HSLMode, HSBMode, MultichannelMode,"
		//			 "DuotoneMode, LabMode, RGB48Mode, Gray16Mode) ||"
		//			 "PSHOP_ImageDepth == 16" },

		//PlugInMaxSize { 2000000, 2000000 },

		FilterLayerSupport {doesSupportFilterLayers},
		
		FilterCaseInfo
		{
			{
				/* Flat data, no selection */
				inStraightData, outStraightData,
				doNotWriteOutsideSelection,
				doesNotFilterLayerMasks, doesNotWorkWithBlankData,
				doNotCopySourceToDestination,
					
				/* Flat data with selection */
				inStraightData, outStraightData,
				doNotWriteOutsideSelection,
				doesNotFilterLayerMasks, doesNotWorkWithBlankData,
				doNotCopySourceToDestination,
				
				/* Floating selection */
				inBackgroundZap, outStraightData,
				doNotWriteOutsideSelection,
				doesNotFilterLayerMasks, doesNotWorkWithBlankData,
				doNotCopySourceToDestination,
					
				/* Editable transparency, no selection */
				inBackgroundZap, outStraightData,
				doNotWriteOutsideSelection,
				doesNotFilterLayerMasks, worksWithBlankData,
				doNotCopySourceToDestination,
					
				/* Editable transparency, with selection */
				inBackgroundZap, outStraightData,
				doNotWriteOutsideSelection,
				doesNotFilterLayerMasks, worksWithBlankData,
				doNotCopySourceToDestination,
					
				/* Preserved transparency, no selection */
				inBackgroundZap, outStraightData,
				doNotWriteOutsideSelection,
				doesNotFilterLayerMasks, doesNotWorkWithBlankData,
				doNotCopySourceToDestination,
					
				/* Preserved transparency, with selection */
				inBackgroundZap, outStraightData,
				doNotWriteOutsideSelection,
				doesNotFilterLayerMasks, doesNotWorkWithBlankData,
				doNotCopySourceToDestination
			}
		}	
	}
};

resource 'aete' (16000, "Dissolve dictionary", purgeable)
{
	1, 0, english, roman,									/* aete version and language specifiers */
	{
		vendorName,											/* vendor suite name */
		"Filter Plugin Creator",							/* optional description */
		plugInSuiteID,										/* suite ID */
		1,													/* suite code, must be 1 */
		1,													/* suite level, must be 1 */
		{													/* structure for filters */
			plugInName,										/* unique filter name */
			plugInAETEComment,								/* optional description */
			plugInClassID,									/* class ID, must be unique or Suite ID */
			plugInEventID,									/* event ID, must be unique to class ID */
			
			NO_REPLY,										/* never a reply */
			IMAGE_DIRECT_PARAMETER,							/* direct parameter, used by Photoshop */
			{												/* parameters here, if any */
				"ctl(0)",									/* parameter name */
				'ctl0',									/* parameter key ID */
				typeInteger,									/* parameter type ID */
				"",							/* optional description */
				flagsSingleParameter,						/* parameter flags */
				
				"ctl(1)",								// second parameter
				'ctl1',								// parameter key ID
				typeInteger,									// parameter type ID
				"",						// optional description
				flagsSingleParameter,					// parameter flags
				
				"ctl(2)",							/* optional parameter */
				'ctl2',							/* key ID */
				typeInteger,								/* type */
				"",						/* optional desc */
				flagsSingleParameter						/* parameter flags */

			}
		},
		{													/* non-filter plug-in class here */
		},
		{													/* comparison ops (not supported) */
		},
		{													/* any enumerations */
		}
	}
};
